apache doris版本升级
用户已被禁言 发布于2021-05 浏览:1872 回复:4
0
收藏

doris当前版本0.13.9

升级目标版本0.14-rc6

问题:先升级一台be机器,正常启动后,日志显示如下:

failed to init delta writer. version count: 501, exceed limit: 500. tablet: 5970356.399931675.fd47c06fd395bc3e-bd4bd381df49c785
W0525 10:36:00.956306 14010 tablets_channel.cpp:157] close tablet writer failed, tablet_id=5970356, transaction_id=43923188, err=-215

这种日志已经持续好几个小时,请问是什么原因,该如何解决?

 

收藏
点赞
0
个赞
共4条回复 最后由IamStrangers回复于2021-05
#5IamStrangers回复于2021-05
#4 用户已被禁言回复
感谢答复。除了这些warning信息之外,还有#2楼中的那些warning,并且狂报这种warning 目前先升级了2台be(总共10台be),集群整体服务看上去是合适的,但看到be 狂报这些warning信息(原版本中偶尔也会有这种warning信息,但不频繁),不敢继续升级了。请问下这种warning信息咋处理呢?能否继续升级其他be节点
展开

这个warning如果服务没问题,可以继续升级,升级完成后,副本修复流程会处理这些问题

0
#4用户已被禁言回复于2021-05
#3 IamStrangers回复
在0.14 版本中,我们增加了BE数据版本的限制,以防止因为compaction的速度跟不上高频导入的速度,导致数据版本无限堆积。默认上线是500. 这种情况通常是因为导入频率过高导致版本合并不及时,需要降低导入频率,或暂停导入等待compaction将数据版本数量降低。
展开

感谢答复。除了这些warning信息之外,还有#2楼中的那些warning,并且狂报这种warning

目前先升级了2台be(总共10台be),集群整体服务看上去是合适的,但看到be 狂报这些warning信息(原版本中偶尔也会有这种warning信息,但不频繁),不敢继续升级了。请问下这种warning信息咋处理呢?能否继续升级其他be节点

0
#3IamStrangers回复于2021-05

在0.14 版本中,我们增加了BE数据版本的限制,以防止因为compaction的速度跟不上高频导入的速度,导致数据版本无限堆积。默认上线是500.

这种情况通常是因为导入频率过高导致版本合并不及时,需要降低导入频率,或暂停导入等待compaction将数据版本数量降低。

0
#2用户已被禁言回复于2021-05

W0525 11:45:02.862210 13943 version_graph.cpp:596] fail to find path in version_graph. spec_version: 0-157013
W0525 11:45:02.862332 13943 tablet.cpp:548] status:-214, tablet:11375356.707306257.914042ad97e1a4aa-d82a0b4caf463dbb, missed version for version:[0-157013]
W0525 11:45:02.862397 13943 tablet.cpp:988] 11375356.707306257.914042ad97e1a4aa-d82a0b4caf463dbb has 2362 missed version:[154176-154176],[154177-154177],[154178-154178],[154509-154509],[154510-154510],[154511-154511],[154512-154512],[154513-154513],[154514-154514],[154515-154515],

0
快速回复
TOP
切换版块